For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Channels
    • Orders
    • Products
    • Inventory
    • Receiving
      • POSTCreate Warehouse Receiving Order
      • GETGet Multiple Warehouse Receiving Orders
      • GETGet Warehouse Receiving Order
      • GETGet Fulfillment Centers
      • GETGet Warehouse Receiving Order Boxes
      • GETGet Warehouse Receiving Order Box Labels
      • POSTCancel Warehouse Receiving Order
    • Returns
    • Webhooks
    • Locations
    • OpenAPI spec
LogoLogo
API ReferenceReceiving

Get Warehouse Receiving Order

||View as Markdown|
GET
/2.0/receiving/:id
GET
/2.0/receiving/:id
$curl https://api.shipbob.com/2.0/receiving/id \
> -H "Authorization: Bearer <token>"
1{
2 "box_labels_uri": "https://api.shipbob.com/1.0/receiving/1/labels",
3 "box_packaging_type": "EverythingInOneBox",
4 "expected_arrival_date": "2019-08-24T14:15:22Z",
5 "fulfillment_center": {
6 "address1": "5900 W Ogden Ave",
7 "address2": "Suite 100",
8 "city": "Cicero",
9 "country": "USA",
10 "email": "example@example.com",
11 "id": 0,
12 "name": "Cicero (IL)",
13 "phone_number": "555-555-5555",
14 "state": "IL",
15 "timezone": "Central Standard Time",
16 "zip_code": "60804"
17 },
18 "id": 0,
19 "insert_date": "2019-08-24T14:15:22Z",
20 "inventory_quantities": [
21 {
22 "expected_quantity": 0,
23 "inventory_id": 0,
24 "received_quantity": 0,
25 "sku": "string",
26 "stowed_quantity": 0
27 }
28 ],
29 "last_updated_date": "2019-08-24T14:15:22Z",
30 "package_type": "Package",
31 "purchase_order_number": "string",
32 "status": "Awaiting"
33}
Was this page helpful?
Previous

Get Multiple Warehouse Receiving Orders

Next

Get Fulfillment Centers

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

idstringRequiredformat: "int32"
Id of the receiving order

Response

Success
box_labels_uristring or null
URL to the packing slip to be included in each box shipment for this receiving order
box_packaging_typeenum
Allowed values:
expected_arrival_datedatetime
Expected date that all packages will have arrived
fulfillment_centerobject
Information about a fulfillment center
idinteger
Unique id of the warehouse receiving order
insert_datedatetime
Insert date of the receiving order
inventory_quantitieslist of objects or null
Inventory items and quantities within the WRO
last_updated_datedatetime
Last date the receiving order was updated
package_typeenum
Allowed values:
purchase_order_numberstring or null
Purchase order number for a receiving order
statusenum

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error